Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mybytecode
Class CONSTANT_Methodref_info

    java.lang.Object
      mycompiler.mybytecode.CPInfo
          mycompiler.mybytecode.CONSTANT_Methodref_info

    public class CONSTANT_Methodref_info

extends CPInfo

Constructor Summary
`CONSTANT_Methodref_info()`

Method Summary
`void` | `codegen(ClassFile classfile, java.io.FileOutputStream f)`
`short` | `get_class_index()`
`short` | `get_name_and_type_index()`
`void` | `set_class_index(short t)`
`void` | `set_name_and_type_index(short t)`

Methods inherited from class mycompiler.mybytecode.CPInfo
`get_tag, set_tag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CONSTANT_Methodref_info

    public CONSTANT_Methodref_info()

Method Detail

### get_class_index

    public short get_class_index()

### get_name_and_type_index

    public short get_name_and_type_index()

### set_class_index

    public void set_class_index(short t)

### set_name_and_type_index

    public void set_name_and_type_index(short t)

### codegen

    public void codegen(ClassFile classfile,
                        java.io.FileOutputStream f)

  Specified by:
    `codegen` in class `CPInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD